package com.tmerclub.cloud.systemtest.api.store;

import com.tmerclub.cloud.api.delivery.vo.SameCityVO;
import com.moyuer.cloud.delivery.dto.SameCityDTO;
import com.moyuer.cloud.systemtest.constants.Constant;
import com.moyuer.cloud.systemtest.util.HttpUtil;
import com.moyuer.cloud.systemtest.util.UrlEnum;

/**
 * @author lpj
 */
public class SameCityApi {
    public static SameCityVO getSameCityInfo() {
        String url = Constant.API_URL + "/tmerclub_order/m/sameCity/getSameCityPage";
        return HttpUtil.get(url, SameCityVO.class, UrlEnum.SHOP);
    }

    public static void saveSameCity(SameCityDTO sameCityDTO) {
        String url = Constant.API_URL + "/tmerclub_order/m/sameCity";
        HttpUtil.post(url, sameCityDTO, UrlEnum.SHOP);
    }
}
